SiteBrowserService will allows operations against the set dotCMS Site/Host for Tree operations. Treeable assets in dotCMS are anything that live on a host/folder.

### Hierarchy

- SiteBrowserService

## Index

### Constructors

- constructor

### Properties

- httpClient
- notificationService

### Methods

- extractDataFilter
- getTreeableAssetsUnderFolder
- getTreeableAssetsUnderSite
- handleError

## Constructors

### constructor

- new SiteBrowserService(httpClient: HttpClient, notificationService: NotificationService): SiteBrowserService

- - Defined in core/util/site-browser.service.ts:15

  #### Parameters

  - ##### httpClient: HttpClient

  - ##### notificationService: NotificationService

  #### Returns SiteBrowserService

## Properties

### Private httpClient

httpClient: HttpClient

- Defined in core/util/site-browser.service.ts:19

### Private notificationService

notificationService: NotificationService

- Defined in core/util/site-browser.service.ts:20

## Methods

### Private extractDataFilter

- extractDataFilter(res: Response): Treeable[]

- - Defined in core/util/site-browser.service.ts:47

  #### Parameters

  - ##### res: Response

  #### Returns Treeable[]

### getTreeableAssetsUnderFolder

- getTreeableAssetsUnderFolder(siteName: String, uri: String): Observable<Treeable[]>

- - Defined in core/util/site-browser.service.ts:41

  Returns the Treeable assets (files, folders) under a host/folder

  #### Parameters

  - ##### siteName: String

    dotCMS Site to load assets for

  - ##### uri: String

    Path to load assets from

  #### Returns Observable<Treeable[]>

  Gets the Treeable objects. If a file the Treeable will be File as File extends Treeable

### getTreeableAssetsUnderSite

- getTreeableAssetsUnderSite(siteName: String): Observable<Treeable[]>

- - Defined in core/util/site-browser.service.ts:29

  Returns the Treeable assets (files, folders) under a host/folder

  #### Parameters

  - ##### siteName: String

    dotCMS Site to load assets for

  #### Returns Observable<Treeable[]>

  Gets the Treeable objects. If a file the Treeable will be File as File extends Treeable

### Private handleError

- handleError(error: any): ErrorObservable

- - Defined in core/util/site-browser.service.ts:64

  #### Parameters

  - ##### error: any

  #### Returns ErrorObservable

Generated using TypeDoc